Description
Zmiany:
    -  po stronie serwisów tam, gdzie trzeba poinformować użytkownika, będziemy publikować Springowy event
    -  w jupiter-web powstanie event handler, który eventy będzie konwertować na UI-owe wiadomości i rozsyłał je do odpowiednich
topiców, ewentualnie kolejek
    -  przestaje być potrzebne ActiveMQ

Associated revisions
Revision baeb8540 - 2017-08-24 15:45 - Wojtek Hury

refs #1813 zmiana architektury przesyłania wiadomości

    -  jupiter-services używają czystego JMS
    -  JMS jest ukryty za warstwą abstrakcji, która dostarcza też

implementację NOOP
    -  MessagingService nasłuchuje na wiadomości przychodzące po JMS i wysyła

je do użytkowników po STOMP

Revision 11c415b2 - 2017-08-28 16:07 - Wojtek Hury

refs #1813 redesign user messaging architecture

    -  no need for JMS broker
    -  no need for auth0 dependencies in jupiter-services
    -  backend message trigger based on Spring events
    -  stomp messages are constructed solely in jupiter-web
    -  after commit event publishing concentrated in single class

Revision 4801b5c3 - 2017-08-29 08:25 - Michał Komar

refs #1813: Uproszczenie inicjalnego budowania indeksów pełnotekstowych

Revision ecd7bdab - 2017-08-29 08:26 - Wojtek Hury

refs #1813 fix tests

Revision a3be1cf6 - 2017-08-29 09:23 - Michał Komar
refs #1813: Poprawienie generowania yarn.lock bez profilu przez mvn

Revision 85386823 - 2017-08-29 09:23 - Michał Komar

refs #1813: Poprawienie generowania yarn.lock bez profilu przez mvn

Revision 8a81b002 - 2017-08-29 13:33 - Wojtek Hury

refs #1813 generate typescript from pl.edu.icm.jupiter.web.model package

Revision 58a3491d - 2017-08-29 14:43 - Michał Komar

refs #1813: Uproszczenie kodu - usunięcie niepotrzebnych artefaktów

Revision c5852be8 - 2017-09-05 09:36 - Michał Komar

refs #1813: Przeniesienie eventów do akcji na statemachine

History
#1 - 2017-08-28 09:25 - Wojtek Hury
- Subject changed from Zmienić architekturą przesyłania wiadomości to Zmienić architekturę przesyłania wiadomości do użytkowników UI
- Description updated

#2 - 2017-08-31 13:05 - Wojtek Hury
- Category set to backend
- Status changed from W toku to Testowanie
- Assignee changed from Wojtek Hury to Michał Komar
- Target version set to 0.3
- Developer Wojtek Hury added
- Tester Michał Komar added

#3 - 2017-09-05 09:48 - Michał Komar
- Status changed from Testowanie to Rozwiązany
- % Done changed from 0 to 100
